<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-orang-heading" data-cy="OrangCreateUpdateHeading">Create or edit a Orang</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        @if (editForm.controls.id.value !== null) {
          <div class="mb-3">
            <label class="form-label" for="field_id">ID</label>
            <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
          </div>
        }

        <div class="mb-3">
          <label class="form-label" for="field_penggunaan">Penggunaan</label>
          <input
            type="text"
            class="form-control"
            name="penggunaan"
            id="field_penggunaan"
            data-cy="penggunaan"
            formControlName="penggunaan"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_nama">Nama</label>
          <input type="text" class="form-control" name="nama" id="field_nama" data-cy="nama" formControlName="nama" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jenisKelamin">Jenis Kelamin</label>
          <input
            type="text"
            class="form-control"
            name="jenisKelamin"
            id="field_jenisKelamin"
            data-cy="jenisKelamin"
            formControlName="jenisKelamin"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_statusKawin">Status Kawin</label>
          <input
            type="text"
            class="form-control"
            name="statusKawin"
            id="field_statusKawin"
            data-cy="statusKawin"
            formControlName="statusKawin"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kelahiran">Kelahiran</label>
          <input type="text" class="form-control" name="kelahiran" id="field_kelahiran" data-cy="kelahiran" formControlName="kelahiran" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_tglLahir">Tgl Lahir</label>
          <div class="input-group">
            <input
              id="field_tglLahir"
              data-cy="tglLahir"
              type="text"
              class="form-control"
              name="tglLahir"
              ngbDatepicker
              #tglLahirDp="ngbDatepicker"
              formControlName="tglLahir"
            />
            <button type="button" class="btn btn-secondary" (click)="tglLahirDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_pekerjaan">Pekerjaan</label>
          <input type="text" class="form-control" name="pekerjaan" id="field_pekerjaan" data-cy="pekerjaan" formControlName="pekerjaan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_wargaNegara">Warga Negara</label>
          <input
            type="text"
            class="form-control"
            name="wargaNegara"
            id="field_wargaNegara"
            data-cy="wargaNegara"
            formControlName="wargaNegara"
          />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_jenisId">Jenis Id</label>
          <input type="text" class="form-control" name="jenisId" id="field_jenisId" data-cy="jenisId" formControlName="jenisId" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noId">No Id</label>
          <input type="text" class="form-control" name="noId" id="field_noId" data-cy="noId" formControlName="noId" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_alamat">Alamat</label>
          <input type="text" class="form-control" name="alamat" id="field_alamat" data-cy="alamat" formControlName="alamat" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_rt">Rt</label>
          <input type="text" class="form-control" name="rt" id="field_rt" data-cy="rt" formControlName="rt" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_rw">Rw</label>
          <input type="text" class="form-control" name="rw" id="field_rw" data-cy="rw" formControlName="rw" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kelurahan">Kelurahan</label>
          <input type="text" class="form-control" name="kelurahan" id="field_kelurahan" data-cy="kelurahan" formControlName="kelurahan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kecamatan">Kecamatan</label>
          <input type="text" class="form-control" name="kecamatan" id="field_kecamatan" data-cy="kecamatan" formControlName="kecamatan" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kota">Kota</label>
          <input type="text" class="form-control" name="kota" id="field_kota" data-cy="kota" formControlName="kota" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_provinsi">Provinsi</label>
          <input type="text" class="form-control" name="provinsi" id="field_provinsi" data-cy="provinsi" formControlName="provinsi" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_kodePos">Kode Pos</label>
          <input type="text" class="form-control" name="kodePos" id="field_kodePos" data-cy="kodePos" formControlName="kodePos" />
        </div>

        <div class="mb-3">
          <label class="form-label" for="field_noKontak">No Kontak</label>
          <input type="text" class="form-control" name="noKontak" id="field_noKontak" data-cy="noKontak" formControlName="noKontak" />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
